package com.mjitech.qa.test;

import java.io.IOException;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.commons.collections4.CollectionUtils;
import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.CookieStore;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.BasicCookieStore;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.util.EntityUtils;

import com.mjitech.qa.service.BaseService;
import com.mjitech.qa.util.DBConnection;

import net.sf.json.JSONObject;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;

import org.testng.annotations.Test;

public class PickUpGoodsTest {
	BaseService service = new BaseService();
	JSONObject json = JSONObject.fromObject("{}");
	List<org.apache.http.cookie.Cookie> cookies = null;
	String cookiesValues = "";
	Map map = new HashMap();

	/**
	 * 批量获取SKU
	 */
	public List getSkuList(int warehouse_id) {
		List skuList = new ArrayList();
		DBConnection db = new DBConnection("test");
		ResultSet rs = null;
		
//		String sql = "SELECT sku_id FROM mt_inventory WHERE warehouse_id = " + warehouse_id
//				+ " AND quantity >0 AND STATUS = 1; ";
		String sql = "SELECT p.`id` AS 'pass_id' FROM mt_inventory t, mt_new_sku_pass p WHERE t.`warehouse_id` = p.`warehouse_id` AND t.`sku_id` = p.`sku_id` AND t.warehouse_id ="+warehouse_id+" AND t.quantity >0 AND t.STATUS = 1;";
		try {
			Statement stmt = db.conn.createStatement();
			rs = stmt.executeQuery(sql);
			while (rs.next()) {
				String pass_id = rs.getString("pass_id");
				skuList.add(pass_id);
			}
		} catch (SQLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return skuList;
	}

	/**
	 * 登录
	 */
	@Test
	public void login() {
		CookieStore cookieStore = new BasicCookieStore();
		String loginUrl = "https://www.mjitech.com/web/login.action";
		CloseableHttpClient client = HttpClients.custom().setDefaultCookieStore(cookieStore).build();
		HttpPost httpPost = new HttpPost(loginUrl);
		JSONObject jsonParam = new JSONObject();
		jsonParam.put("username", "gangwang@mjitech.com");
		jsonParam.put("password", "yier34wu6");
		StringEntity entity = new StringEntity(jsonParam.toString(), "utf-8");
		entity.setContentEncoding("UTF-8");
		entity.setContentType("application/json");

		try {
			httpPost.setEntity(entity);
			HttpResponse httpResponse = client.execute(httpPost);
			String responseString = EntityUtils.toString(httpResponse.getEntity());
			if (httpResponse.getStatusLine().getStatusCode() == 200) {
				List<org.apache.http.cookie.Cookie> cookies = cookieStore.getCookies();
				if (CollectionUtils.isNotEmpty(cookies)) {
					for (org.apache.http.cookie.Cookie cookie : cookies) {
						// cookiesValues = cookie.getName() + "=" +
						// cookie.getValue()+";";
						System.out.println(cookie.getName() + "=" + cookie.getValue() + ";");
						map.put(cookie.getName(), cookie.getValue());
					}
				}
			}
		} catch (IOException e) {
			e.printStackTrace();
		} finally {
			try {
				// 关闭流并释放资源
				client.close();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}

	}

	/**
	 * 单品测试 *
	 */
//	@Test(dependsOnMethods="login")
	public void pickUpGoodsTest01() {
		String JSESSIONID = (String) map.get("JSESSIONID");
		String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
				+ "JSESSIONID=" + JSESSIONID;
		System.out.println("CookiesValues=" + cookiesValues);
		OkHttpClient client = new OkHttpClient();
		Request request = new Request.Builder().url("https://www.mjitech.com/web/pick_up_goods/68/106478").get()
				// .addHeader("Cookie",
				// "mjitech_username='gangwang@mjitech.com';
				// _ga=GA1.2.1640278628.1537349020;
				// JSESSIONID=E0430372DC47BC880A93537AF0387924")
				.addHeader("Cookie", cookiesValues).addHeader("cache-control", "no-cache")
				.addHeader("Postman-Token", "ee590a55-6c93-413b-b60b-21b4a88f38fe").build();
		try {
			Response response = client.newCall(request).execute();
			System.out.println("抓取结果：" + response);					
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		
		try {
			// 休眠30秒
			Thread.sleep(30000);
		} catch (InterruptedException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}	
		
		
		//出仓门
		String url = "https://www.mjitech.com/web/open_goods_door?storeId=63" ;
		System.out.println("CookiesValues=" + cookiesValues);
		//String body = "{\"storeId\":\"22\"}";		
		try {
			json = service.httpPostOpenGoodsDoorReturnJson(url, cookiesValues);
			System.out.println("开舱门-"+json);
		} catch (ClientProtocolException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		} catch (IOException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		}
		
	}
	
	
	
	
	

	/**
	 * 多品测试
	 */
	// @Test
	public void pickUpGoodsTest03() {
		String JSESSIONID = (String) map.get("JSESSIONID");
		String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
				+ "JSESSIONID=" + JSESSIONID;
		System.out.println("CookiesValues=" + cookiesValues);
		OkHttpClient client = new OkHttpClient();
		List sku_id_list = getSkuList(34);
		for (int i = 0; i < sku_id_list.size(); i++) {
			int sku_id = (Integer) sku_id_list.get(i);
			Request request = new Request.Builder().url("http://test.mjitech.com/web/pick_up_goods/34/" + sku_id + "")
					.get().addHeader("Cookie", cookiesValues).addHeader("cache-control", "no-cache")
					.addHeader("Postman-Token", "ee590a55-6c93-413b-b60b-21b4a88f38fe").build();
			try {
				Response response = client.newCall(request).execute();
				System.out.println("抓取结果：" + sku_id + response);
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}

			try {
				// 休眠50秒
				Thread.sleep(10000);
			} catch (InterruptedException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}

	}

	/**
	 * 多品测试-按照货道号进行测试-华贸写字楼店
	 */
//	@Test(dependsOnMethods = "login")
	public void pickUpGoodsTestXieZiLou() {
		String JSESSIONID = (String) map.get("JSESSIONID");
		String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
				+ "JSESSIONID=" + JSESSIONID;
		System.out.println("CookiesValues=" + cookiesValues);
		OkHttpClient client = new OkHttpClient();
		// List sku_id_list = getSkuList(34);86547
		// int mt_new_sku_pass[] =
		// {86509,86509,86509,86509,86509,86547,86547,86547,86547,86547};
		// int mt_new_sku_pass[] = {86575,86575,86575,86575,86575,86575};
		// 运转标准策略 10
		// {86450,86551,86555,86514,86490,86489,86569,86486,86519,86497};
		int mt_new_sku_pass[] = { 86555 };
		// 20
		// int mt_new_sku_pass[] =
		// {86593,86561,86555,86495,86490,86591,86635,86633,86528,86459};
		// 30
		// int mt_new_sku_pass[] =
		// {86537,86598,86454,86544,86614,86527,86450,86563,86464,86594};
		// 34
		// int mt_new_sku_pass[] = {86501,86517,86599,86455};
		for (int i = 0; i < mt_new_sku_pass.length; i++) {
			// int sku_id = (Integer)sku_id_list.get(i);
			Request request = new Request.Builder()
					.url("http://test.mjitech.com/web/pick_up_goods/52/" + mt_new_sku_pass[i] + "").get()
					.addHeader("Cookie", cookiesValues).addHeader("cache-control", "no-cache")
					.addHeader("Postman-Token", "ee590a55-6c93-413b-b60b-21b4a88f38fe").build();
			try {
				Response response = client.newCall(request).execute();
				System.out.println("上海测试机器-华贸写字楼店-批量抓测结果-->" + mt_new_sku_pass + response);
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}

			try {
				// 休眠30秒
				Thread.sleep(30000);
			} catch (InterruptedException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}

	}
	
	/**
	 * 开舱门测试
	 * 
	 */
 //  @Test(dependsOnMethods="login")
	public void open_goods_door() {
		String url = "https://test.mjitech.com/web/open_goods_door?storeId=67" ;
		//String url = "http://test.mjitech.com/web/open_goods_door" ;
		String JSESSIONID = (String) map.get("JSESSIONID");
		String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
				+ "JSESSIONID=" + JSESSIONID;
		System.out.println("CookiesValues=" + cookiesValues);
		//String body = "{\"storeId\":\"22\"}";		
		try {
			json = service.httpPostOpenGoodsDoorReturnJson(url, cookiesValues);
			System.out.println("出仓开舱门-"+json);
		} catch (ClientProtocolException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		} catch (IOException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		}
		
	}
	
	
	
	
	
	/**
	 * 单品测试 多次抓测
	 */
	//@Test(dependsOnMethods="login")
	public void pickUpGoodsTest001() {				
			String JSESSIONID = (String) map.get("JSESSIONID");
			String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
					+ "JSESSIONID=" + JSESSIONID;
			System.out.println("CookiesValues=" + cookiesValues);
			OkHttpClient client = new OkHttpClient();
			for(int i=1;i<=5;i++) {
				System.out.println("清华门店开始第"+i+"次抓测");
				for(int j=0;j<6;j++) {
					Request request = new Request.Builder().url("https://preprod.mjitech.com/web/pick_up_goods/61/100227").get()
						.addHeader("Cookie", cookiesValues).addHeader("cache-control", "no-cache")
						.addHeader("Postman-Token", "ee590a55-6c93-413b-b60b-21b4a88f38fe").build();
					try {
						Response response = client.newCall(request).execute();
						System.out.println("抓取结果：" + response);					
					} catch (IOException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}
				
				
					try {
						// 休眠30秒
						Thread.sleep(45000);
					} catch (InterruptedException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}	
				}			
			
				//出仓，开门
				String url = "https://test.mjitech.com/web/open_goods_door?storeId=61" ;
				System.out.println("CookiesValues=" + cookiesValues);
				try {
					json = service.httpPostOpenGoodsDoorReturnJson(url, cookiesValues);
					System.out.println("出仓开门-"+json);
				} catch (ClientProtocolException e1) {
					// TODO Auto-generated catch block
					e1.printStackTrace();
				} catch (IOException e1) {
					// TODO Auto-generated catch block
					e1.printStackTrace();
				}
				
				try {
					// 开舱门休眠20秒
					Thread.sleep(20000);
				} catch (InterruptedException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}	
			
			}
		
	}
	
	
	/**
	 * 单品测试 多次抓测-清华1门店
	 */
//	@Test(dependsOnMethods="login")
	public void pickUpGoodsTest002() {				
			String JSESSIONID = (String) map.get("JSESSIONID");
			String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
					+ "JSESSIONID=" + JSESSIONID;
			System.out.println("CookiesValues=" + cookiesValues);
			OkHttpClient client = new OkHttpClient();
			ArrayList<String> pass_id_list = new ArrayList<String> ();
			pass_id_list.add("111906");
			pass_id_list.add("111860");
			pass_id_list.add("111860");	
			pass_id_list.add("111829");	
			pass_id_list.add("111951");	
			pass_id_list.add("111799");	
			pass_id_list.add("111893");	
			        
			for(int i=0;i<=pass_id_list.size();i++) {
				System.out.println("清华1门店开始第"+i+"次抓测");
				for(int j=0;j<12;j++) {
					Request request = new Request.Builder().url("https://preprod.mjitech.com/web/pick_up_goods/61/"+pass_id_list+"").get()
						.addHeader("Cookie", cookiesValues).addHeader("cache-control", "no-cache")
						.addHeader("Postman-Token", "ee590a55-6c93-413b-b60b-21b4a88f38fe").build();
					try {
						Response response = client.newCall(request).execute();
						System.out.println("抓取结果：" + response);					
					} catch (IOException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}
				
				
					try {
						// 休眠30秒
						Thread.sleep(45000);
					} catch (InterruptedException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}	
					
					
					
					//判断每6个一出仓开门
					if(j%6==0) {
						//出仓，开门
						String url = "https://preprod.mjitech.com/web/open_goods_door?storeId=61" ;
						System.out.println("CookiesValues=" + cookiesValues);
						try {
							json = service.httpPostOpenGoodsDoorReturnJson(url, cookiesValues);
							System.out.println("出仓开门-"+json);
						} catch (ClientProtocolException e1) {
							// TODO Auto-generated catch block
							e1.printStackTrace();
						} catch (IOException e1) {
							// TODO Auto-generated catch block
							e1.printStackTrace();
						}
						
						try {
							// 开舱门休眠20秒
							Thread.sleep(20000);
						} catch (InterruptedException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}	
					}

				}			
			
			
			
			}
		
	}
	
	
	/**
	 * 批量测试-全门店抓取测试（每个品都抓测一遍）-清华大学门店
	 * 测试策略：每6个一出仓
	 */
//	@Test(dependsOnMethods="login")
	public void pickUpGoodsTest003() {				
			String JSESSIONID = (String) map.get("JSESSIONID");
			String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
					+ "JSESSIONID=" + JSESSIONID;
			System.out.println("CookiesValues=" + cookiesValues);
			OkHttpClient client = new OkHttpClient();
			ArrayList<String> pass_id_list = new ArrayList<String> ();
//			pass_id_list.add("102015");
//			pass_id_list.add("102016");
//			pass_id_list.add("102017");
//			pass_id_list.add("102018");
//			pass_id_list.add("102014");
//			pass_id_list.add("102035");
//			pass_id_list.add("102036");
//			pass_id_list.add("102037");
//			pass_id_list.add("102039");
//			pass_id_list.add("102040");
//			pass_id_list.add("102041");
//			pass_id_list.add("102042");
//			pass_id_list.add("102038");
//			pass_id_list.add("102067");
//			pass_id_list.add("102068");
//			pass_id_list.add("102069");
//			pass_id_list.add("102070");
//			pass_id_list.add("102071");
//			pass_id_list.add("102072");
//			pass_id_list.add("102066");
//			pass_id_list.add("101982");
//			pass_id_list.add("101984");
//			pass_id_list.add("101983");
//			pass_id_list.add("101986");
//			pass_id_list.add("101987");
//			pass_id_list.add("101985");
//			pass_id_list.add("101988");//空抓
//			pass_id_list.add("101990");
//			pass_id_list.add("101991");
//			pass_id_list.add("101992");
//			pass_id_list.add("101993");
//			pass_id_list.add("101994");
//			pass_id_list.add("101989");
//			pass_id_list.add("102006");
//			pass_id_list.add("102007");
//			pass_id_list.add("102009");
//			pass_id_list.add("102010");
//			pass_id_list.add("102011");
//			pass_id_list.add("102012");
//			pass_id_list.add("102013");
//			pass_id_list.add("102008");
//			pass_id_list.add("102043");
//			pass_id_list.add("102045");
		///////2019-07-10///////
//			pass_id_list.add("102046");			
//			pass_id_list.add("102047");
//			pass_id_list.add("102048");
//			pass_id_list.add("102049");
//			pass_id_list.add("102050");
//			pass_id_list.add("102051");
//			pass_id_list.add("102044");
//			pass_id_list.add("101925");
//			pass_id_list.add("101935");
//			pass_id_list.add("101934");
//			pass_id_list.add("101926");
//			pass_id_list.add("101927");
//			pass_id_list.add("101928");
//			pass_id_list.add("101929");
//			pass_id_list.add("101930");
//			pass_id_list.add("101931");
//			pass_id_list.add("101932");
//			pass_id_list.add("101933");
//			pass_id_list.add("101948");
//			pass_id_list.add("101950");
//			pass_id_list.add("101951");
//			pass_id_list.add("101952");
//			pass_id_list.add("101953");
//			pass_id_list.add("101949");
//			pass_id_list.add("101954");
//			pass_id_list.add("101937");
//			pass_id_list.add("101938");
//			pass_id_list.add("101939");
//			pass_id_list.add("101940");
//			pass_id_list.add("101941");
//			pass_id_list.add("101942");
//			pass_id_list.add("101936");
//			pass_id_list.add("101962");
//			pass_id_list.add("101963");
//			pass_id_list.add("101964");
//			pass_id_list.add("101965");
//			pass_id_list.add("101966");
//			pass_id_list.add("101961");
//			pass_id_list.add("101971");
//			pass_id_list.add("101972");
//			pass_id_list.add("101973");
//			pass_id_list.add("101974");
//			pass_id_list.add("101975");
//			pass_id_list.add("101914");
//			pass_id_list.add("101923");
//			pass_id_list.add("101924");
//			pass_id_list.add("101915");
//			pass_id_list.add("101916");
//			pass_id_list.add("101917");
//			pass_id_list.add("101918");
//			pass_id_list.add("101919");
//			pass_id_list.add("101920");
//			pass_id_list.add("101921");
//			pass_id_list.add("101922");
//			pass_id_list.add("101956");
//			pass_id_list.add("101957");
//			pass_id_list.add("101958");
//			pass_id_list.add("101959");
//			pass_id_list.add("101960");
//			pass_id_list.add("101955");
//			pass_id_list.add("101977");
//			pass_id_list.add("101978");
//			pass_id_list.add("101976");
//			pass_id_list.add("101980");
//	//		pass_id_list.add("101979");
//			pass_id_list.add("101981");
//			pass_id_list.add("101898");
//			pass_id_list.add("101899");
//			pass_id_list.add("101900");
//			pass_id_list.add("101901");
//			pass_id_list.add("101902");
//			pass_id_list.add("101903");
//			pass_id_list.add("101904");
//			pass_id_list.add("101905");
//			pass_id_list.add("101906");
//			pass_id_list.add("101907");
//			pass_id_list.add("101908");
//			pass_id_list.add("101909");
//			pass_id_list.add("101910");
//			pass_id_list.add("101911");
//			pass_id_list.add("101912");
//			pass_id_list.add("101913");
//			pass_id_list.add("101943");
//			pass_id_list.add("101944");
//			pass_id_list.add("101945");
//			pass_id_list.add("101947");
//			pass_id_list.add("101946");
//			pass_id_list.add("101968");
//			pass_id_list.add("101969");
//			pass_id_list.add("101970");
//			pass_id_list.add("101967");
//			pass_id_list.add("102000");
//			pass_id_list.add("102002");
//			pass_id_list.add("102003");
//			pass_id_list.add("102004");
//			pass_id_list.add("102005");
//			pass_id_list.add("102001");
//			pass_id_list.add("102023");
//			pass_id_list.add("102024");
//			pass_id_list.add("102026");
//			pass_id_list.add("102027");
//			pass_id_list.add("102028");
//			pass_id_list.add("102029");
//			pass_id_list.add("102025");
//			pass_id_list.add("102052");
//			pass_id_list.add("102054");
//			pass_id_list.add("102055");
//			pass_id_list.add("102056");
//			pass_id_list.add("102057");
//			pass_id_list.add("102058");
//			pass_id_list.add("102059");
//			pass_id_list.add("102053");
//			pass_id_list.add("102073");
//			pass_id_list.add("102075");
//			pass_id_list.add("102076");
//			pass_id_list.add("102077");
//			pass_id_list.add("102078");
//			pass_id_list.add("102074");
//			pass_id_list.add("101995");
//			pass_id_list.add("101996");
//			pass_id_list.add("101998");
//			pass_id_list.add("101999");
//			pass_id_list.add("101997");
//			pass_id_list.add("102019");
//			pass_id_list.add("102021");
//			pass_id_list.add("102022");
//			pass_id_list.add("102020");
//			pass_id_list.add("102030");
//			pass_id_list.add("102031");
//			pass_id_list.add("102032");
//			pass_id_list.add("102034");
//			pass_id_list.add("102033");
//			pass_id_list.add("102060");
//			pass_id_list.add("102062");
//			pass_id_list.add("102063");
//			pass_id_list.add("102064");
//			pass_id_list.add("102065");
//			pass_id_list.add("102061");
			
			//世通大厦
//			pass_id_list.add("80688");
//			pass_id_list.add("80591");
		
				for(int i=1;i<=pass_id_list.size();i++) {
					System.out.println("清华门店开始第"+i+"次抓测"+"--货道ID="+pass_id_list.get(i));
						Request request = new Request.Builder().url("https://test.mjitech.com/web/pick_up_goods/61/"+pass_id_list.get(i)+"").get()
							.addHeader("Cookie", cookiesValues).addHeader("cache-control", "no-cache")
							.addHeader("Postman-Token", "ee590a55-6c93-413b-b60b-21b4a88f38fe").build();
						try {
							Response response = client.newCall(request).execute();
							System.out.println("抓取结果：" + response);					
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
					
					
						try {
							// 休眠30秒
							Thread.sleep(30000);
						} catch (InterruptedException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}	
						
						
						
						//判断每6个一出仓开门
						if(i%6==0) {
							//出仓，开门
							String url = "https://www.mjitech.com/web/open_goods_door?storeId=61" ;
							System.out.println("CookiesValues=" + cookiesValues);
							try {
								json = service.httpPostOpenGoodsDoorReturnJson(url, cookiesValues);
								System.out.println("出仓开门-"+json);
							} catch (ClientProtocolException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							} catch (IOException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							}
							
							try {
								// 开舱门休眠20秒
								Thread.sleep(20000);
							} catch (InterruptedException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							}	
						}
						
						
				
				}

	}
	
	
	/**
	 * 批量测试-全门店抓取测试（每个品都抓测一遍）-物资学院01门店68
	 * 测试策略：每6个一出仓
	 */
//	@Test(dependsOnMethods="login")
	public void pickUpGoodsTest68() {				
			String JSESSIONID = (String) map.get("JSESSIONID");
			String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
					+ "JSESSIONID=" + JSESSIONID;
			System.out.println("CookiesValues=" + cookiesValues);
			OkHttpClient client = new OkHttpClient();
			ArrayList<String> pass_id_list = new ArrayList<String> ();
			pass_id_list.add("141399");
			pass_id_list.add("141400");
			pass_id_list.add("141401");
			pass_id_list.add("141403");
			pass_id_list.add("141404");
			pass_id_list.add("141402");
			pass_id_list.add("141405");
			pass_id_list.add("141407");
			pass_id_list.add("141406");
			pass_id_list.add("141409");
			pass_id_list.add("108704");
			pass_id_list.add("141410");
			pass_id_list.add("141411");
			pass_id_list.add("141412");
			pass_id_list.add("141408");
			pass_id_list.add("141415");
			pass_id_list.add("141416");
			pass_id_list.add("108680");
			pass_id_list.add("141417");
			pass_id_list.add("141414");
			pass_id_list.add("141418");
			pass_id_list.add("141420");
			pass_id_list.add("141419");
			pass_id_list.add("141396");
			pass_id_list.add("141397");
			pass_id_list.add("108695");
      		pass_id_list.add("141398");
			pass_id_list.add("141395");
			pass_id_list.add("141461");
			pass_id_list.add("141462");
			pass_id_list.add("141463");
			pass_id_list.add("141464");
			pass_id_list.add("141460");
			pass_id_list.add("141365");
			pass_id_list.add("141366");
			pass_id_list.add("141367");
			pass_id_list.add("141368");
			pass_id_list.add("141369");
			pass_id_list.add("141370");
			pass_id_list.add("141364");
			pass_id_list.add("141371");
			pass_id_list.add("142081");
			pass_id_list.add("141384");
//			/***********2区********************/
			pass_id_list.add("141385");			
			pass_id_list.add("141386");
			pass_id_list.add("141387");
			pass_id_list.add("141388");
			pass_id_list.add("141389");
			pass_id_list.add("141383");
			pass_id_list.add("141372");
			pass_id_list.add("141373");
			pass_id_list.add("108639");
			pass_id_list.add("141374");
			pass_id_list.add("108641");
			pass_id_list.add("141381");
			pass_id_list.add("141382");
			pass_id_list.add("141380");
			pass_id_list.add("141353");
			pass_id_list.add("141363");
			pass_id_list.add("141354");
			pass_id_list.add("141355");
			pass_id_list.add("141356");
			pass_id_list.add("141357");
			pass_id_list.add("141358");
			pass_id_list.add("141359");
			pass_id_list.add("141360");
			pass_id_list.add("141361");
			pass_id_list.add("141362");
			pass_id_list.add("141391");
			pass_id_list.add("141392");
			pass_id_list.add("141393");
			pass_id_list.add("141390");
			pass_id_list.add("142712");
			pass_id_list.add("141340");
			pass_id_list.add("141341");
			pass_id_list.add("141343");
			pass_id_list.add("141344");
			pass_id_list.add("141345");
			pass_id_list.add("141346");
			pass_id_list.add("141342");
			pass_id_list.add("141347");
			pass_id_list.add("141349");
			pass_id_list.add("141350");
			pass_id_list.add("141351");
        	pass_id_list.add("141352");
			pass_id_list.add("141348");
			pass_id_list.add("141377");
			pass_id_list.add("141378");
			pass_id_list.add("141379");
			pass_id_list.add("141376");
			pass_id_list.add("141394");
			pass_id_list.add("141427");
			pass_id_list.add("141428");
			pass_id_list.add("141429");
			pass_id_list.add("141430");
			pass_id_list.add("141431");
			pass_id_list.add("141426");
			pass_id_list.add("141432");
			pass_id_list.add("141439");
			pass_id_list.add("141441");
			pass_id_list.add("141442");
			pass_id_list.add("141443");
			pass_id_list.add("141440");
			pass_id_list.add("141445");
    		pass_id_list.add("141446");
			pass_id_list.add("141444");
			pass_id_list.add("141451");
		    pass_id_list.add("141453");
			pass_id_list.add("141454");
			pass_id_list.add("141452");
			pass_id_list.add("141455");
			pass_id_list.add("141466");
			pass_id_list.add("141467");
			pass_id_list.add("141468");
			pass_id_list.add("141469");
			pass_id_list.add("141465");
		    pass_id_list.add("141470");
			pass_id_list.add("141421");
			pass_id_list.add("141422");
			pass_id_list.add("141423");
			pass_id_list.add("141425");
			pass_id_list.add("141424");
			pass_id_list.add("141433");
			pass_id_list.add("141434");
			pass_id_list.add("141435");
			pass_id_list.add("141436");
			pass_id_list.add("141437");
			pass_id_list.add("141438");
			pass_id_list.add("141447");
			pass_id_list.add("141449");
			pass_id_list.add("141450");
			pass_id_list.add("141448");
			pass_id_list.add("141457");
			pass_id_list.add("141458");
			pass_id_list.add("141459");
			pass_id_list.add("141456");
			pass_id_list.add("141471");
			pass_id_list.add("141473");
			pass_id_list.add("141472");
			pass_id_list.add("141475");
			pass_id_list.add("141476");
			pass_id_list.add("141477");
			pass_id_list.add("141474");

				for(int i=1;i<=pass_id_list.size();i++) {
					System.out.println("物资学院01-68门店开始第"+i+"次抓测"+"--货道ID="+pass_id_list.get(i));
						Request request = new Request.Builder().url("https://www.mjitech.com/web/pick_up_goods/68/"+pass_id_list.get(i)+"").get()
							.addHeader("Cookie", cookiesValues).addHeader("cache-control", "no-cache")
							.addHeader("Postman-Token", "ee590a55-6c93-413b-b60b-21b4a88f38fe").build();
						try {
							Response response = client.newCall(request).execute();
							System.out.println("抓取结果：" + response);					
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
					
					
						try {
							// 休眠30秒
							Thread.sleep(30000);
						} catch (InterruptedException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}	
						
						
						
						//判断每6个一出仓开门
						if(i%6==0) {
							//出仓，开门
							String url = "https://www.mjitech.com/web/open_goods_door?storeId=68" ;
							System.out.println("CookiesValues=" + cookiesValues);
							try {
								json = service.httpPostOpenGoodsDoorReturnJson(url, cookiesValues);
								System.out.println("出仓开门-"+json);
							} catch (ClientProtocolException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							} catch (IOException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							}
							
							try {
								// 开舱门休眠20秒
								Thread.sleep(45000);
							} catch (InterruptedException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							}	
						}									
				}

	}
	
	/**
	 * 批量测试-全门店抓取测试（每个品都抓测一遍）-物资学院02门店69
	 * 测试策略：每6个一出仓
	 */
	@Test(dependsOnMethods="login")
	public void pickUpGoodsTest005() {				
			String JSESSIONID = (String) map.get("JSESSIONID");
			String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
					+ "JSESSIONID=" + JSESSIONID;
			System.out.println("CookiesValues=" + cookiesValues);
			OkHttpClient client = new OkHttpClient();
			ArrayList<String> pass_id_list = new ArrayList<String> ();
			pass_id_list.add("141537");
			pass_id_list.add("141538");
			pass_id_list.add("141539");
			pass_id_list.add("141541");
			pass_id_list.add("141542");
			pass_id_list.add("141540");
			pass_id_list.add("141543");
			pass_id_list.add("141545");
			pass_id_list.add("141544");
			pass_id_list.add("141547");
			pass_id_list.add("141548");
			pass_id_list.add("141549");
			pass_id_list.add("141550");
			pass_id_list.add("141551");
			pass_id_list.add("141546");
			pass_id_list.add("141553");
			pass_id_list.add("141554");
			pass_id_list.add("141555");
			pass_id_list.add("141552");
			pass_id_list.add("141556");
			pass_id_list.add("141558");
			pass_id_list.add("141557");
			pass_id_list.add("141534");
			pass_id_list.add("141535");
			pass_id_list.add("141536");
			pass_id_list.add("141533");
			pass_id_list.add("141599");
			pass_id_list.add("141600");
			pass_id_list.add("141601");
			pass_id_list.add("141602");
			pass_id_list.add("141598");
			pass_id_list.add("141503");
			pass_id_list.add("141504");
			pass_id_list.add("141505");
			pass_id_list.add("141506");
			pass_id_list.add("141507");
			pass_id_list.add("141508");
			pass_id_list.add("141502");
			pass_id_list.add("141509");
			pass_id_list.add("142220");
			pass_id_list.add("141522");
			pass_id_list.add("141523");
			pass_id_list.add("141524");
			pass_id_list.add("141525");
			pass_id_list.add("141526");
			pass_id_list.add("141527");
			pass_id_list.add("141521");
			pass_id_list.add("141510");
			pass_id_list.add("141511");
			pass_id_list.add("141512");
			pass_id_list.add("141513");
			pass_id_list.add("141519");
			pass_id_list.add("141520");
			pass_id_list.add("141518");
			pass_id_list.add("141491");
			pass_id_list.add("141501");
			pass_id_list.add("141492");
			pass_id_list.add("141493");
			pass_id_list.add("141494");
			pass_id_list.add("141495");
			pass_id_list.add("141496");
			pass_id_list.add("141497");
			pass_id_list.add("141498");
			pass_id_list.add("141499");
			pass_id_list.add("141500");
			pass_id_list.add("141529");
			pass_id_list.add("141530");
			pass_id_list.add("141531");
			pass_id_list.add("141528");
			pass_id_list.add("143469");
			pass_id_list.add("141478");
			pass_id_list.add("141479");
			pass_id_list.add("141481");
			pass_id_list.add("141482");
			pass_id_list.add("141483");
			pass_id_list.add("141484");
			pass_id_list.add("141480");
			pass_id_list.add("141485");
			pass_id_list.add("141487");
			pass_id_list.add("141488");
			pass_id_list.add("141489");
			pass_id_list.add("141490");
			pass_id_list.add("141486");
			pass_id_list.add("141515");
			pass_id_list.add("141516");
			pass_id_list.add("141517");
			pass_id_list.add("141514");
			pass_id_list.add("141532");
			pass_id_list.add("141565");
			pass_id_list.add("141566");
			pass_id_list.add("141567");
			pass_id_list.add("141568");
			pass_id_list.add("141569");
			pass_id_list.add("141564");
			pass_id_list.add("141570");
			pass_id_list.add("141577");			
			pass_id_list.add("141579");
			pass_id_list.add("141580");
			pass_id_list.add("141581");
			pass_id_list.add("141578");
			pass_id_list.add("141583");
			pass_id_list.add("141584");
			pass_id_list.add("141582");			
			pass_id_list.add("141589");			
			pass_id_list.add("141591");
			pass_id_list.add("141592");
			pass_id_list.add("141590");
			pass_id_list.add("141593");
			pass_id_list.add("141604");
			pass_id_list.add("141605");
			pass_id_list.add("141606");
			pass_id_list.add("141607");
			pass_id_list.add("141603");
			pass_id_list.add("141608");
			pass_id_list.add("141559");
			pass_id_list.add("141560");
			pass_id_list.add("141561");
			pass_id_list.add("141563");
			pass_id_list.add("141562");
			pass_id_list.add("141571");
			pass_id_list.add("141572");
			pass_id_list.add("141573");
			pass_id_list.add("141574");
			pass_id_list.add("141575");
			pass_id_list.add("141576");
			pass_id_list.add("141585");
			pass_id_list.add("141587");
			pass_id_list.add("141588");
			pass_id_list.add("141586");
			pass_id_list.add("141595");
			pass_id_list.add("141596");
			pass_id_list.add("141597");
			pass_id_list.add("141594");
			pass_id_list.add("141609");
			pass_id_list.add("141611");
			pass_id_list.add("141610");
			pass_id_list.add("141613");
			pass_id_list.add("141614");
			pass_id_list.add("141615");
			pass_id_list.add("141612");
			pass_id_list.add("142853");
			pass_id_list.add("142854");
			pass_id_list.add("142855");
			pass_id_list.add("142856");			

		
				for(int i=0;i<=pass_id_list.size();i++) {
					System.out.println("物资学院02-69门店开始第"+i+"次抓测"+"--货道ID="+pass_id_list.get(i));
						Request request = new Request.Builder().url("https://www.mjitech.com/web/pick_up_goods/69/"+pass_id_list.get(i)+"").get()
							.addHeader("Cookie", cookiesValues).addHeader("cache-control", "no-cache")
							.addHeader("Postman-Token", "ee590a55-6c93-413b-b60b-21b4a88f38fe").build();
						try {
							Response response = client.newCall(request).execute();
							System.out.println("抓取结果：" + response);					
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
					
					
						try {
							// 休眠30秒
							Thread.sleep(30000);
						} catch (InterruptedException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}	
						
						
						
						//判断每6个一出仓开门
						if(i%6==0) {
							//出仓，开门
							String url = "https://www.mjitech.com/web/open_goods_door?storeId=69" ;
							System.out.println("CookiesValues=" + cookiesValues);
							try {
								json = service.httpPostOpenGoodsDoorReturnJson(url, cookiesValues);
								System.out.println("出仓开门-"+json);
							} catch (ClientProtocolException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							} catch (IOException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							}
							
							try {
								// 开舱门休眠20秒
								Thread.sleep(45000);
							} catch (InterruptedException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							}	
						}									
				}

	}
	
	
	/**
	 * 批量测试-全门店抓取测试（每个品都抓测一遍）-物资学院03门店70
	 * 测试策略：每6个一出仓
	 */
	//@Test(dependsOnMethods="login")
	public void pickUpGoodsTest006() {				
			String JSESSIONID = (String) map.get("JSESSIONID");
			String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
					+ "JSESSIONID=" + JSESSIONID;
			System.out.println("CookiesValues=" + cookiesValues);
			OkHttpClient client = new OkHttpClient();
			ArrayList<String> pass_id_list = new ArrayList<String> ();
			pass_id_list.add("109821");
			pass_id_list.add("109823");
			pass_id_list.add("109824");
			pass_id_list.add("109825");
			pass_id_list.add("109822");
			pass_id_list.add("109826");
			pass_id_list.add("109839");
			pass_id_list.add("109841");
			pass_id_list.add("109842");
			pass_id_list.add("109843");
			pass_id_list.add("109844");
			pass_id_list.add("109840");
			pass_id_list.add("109812");
			pass_id_list.add("109813");
			pass_id_list.add("109814");
			pass_id_list.add("109815");
			pass_id_list.add("109811");
			pass_id_list.add("109846");
			pass_id_list.add("109847");
			pass_id_list.add("109848");
			pass_id_list.add("109849");
			pass_id_list.add("109850");
			pass_id_list.add("109845");
			pass_id_list.add("109852");
			pass_id_list.add("109851");
			pass_id_list.add("109861");
			pass_id_list.add("109862");
			pass_id_list.add("109863");
			pass_id_list.add("109864");
			pass_id_list.add("109865");
			pass_id_list.add("109866");	
			pass_id_list.add("109867");	
			pass_id_list.add("109860");	
			pass_id_list.add("109880");
			pass_id_list.add("109881");	
			pass_id_list.add("109883");	
			pass_id_list.add("109884");	
			pass_id_list.add("109885");	
			pass_id_list.add("109882");	
			pass_id_list.add("109798");	
			pass_id_list.add("109799");	
			pass_id_list.add("109797");	
			pass_id_list.add("109801");	
			pass_id_list.add("109802");	
			pass_id_list.add("109803");	
			pass_id_list.add("109800");	
			pass_id_list.add("109834");	
			pass_id_list.add("109835");	
			pass_id_list.add("109836");	
			pass_id_list.add("109837");	
			pass_id_list.add("109838");	
			pass_id_list.add("109833");	
			pass_id_list.add("109745");	
			pass_id_list.add("109754");	
			pass_id_list.add("109755");	
			pass_id_list.add("109746");	
			pass_id_list.add("109747");	
			pass_id_list.add("109748");	
			pass_id_list.add("109749");	
			pass_id_list.add("109750");	
			pass_id_list.add("109751");	
			pass_id_list.add("109752");	
			pass_id_list.add("109753");	
			pass_id_list.add("109763");	
			pass_id_list.add("109765");	
			pass_id_list.add("109766");
			pass_id_list.add("109767");	
			pass_id_list.add("109768");	
			pass_id_list.add("109764");	
			pass_id_list.add("109757");	
			pass_id_list.add("109758");	
			pass_id_list.add("109759");
			pass_id_list.add("109760");	
			pass_id_list.add("109761");	
			pass_id_list.add("109762");	
			pass_id_list.add("109756");	
			pass_id_list.add("109774");	
			pass_id_list.add("109775");
			pass_id_list.add("109773");	
			pass_id_list.add("109791");	
			pass_id_list.add("109792");	
			pass_id_list.add("109790");	
			pass_id_list.add("109734");	
			pass_id_list.add("109743");
			pass_id_list.add("109744");	
			pass_id_list.add("109735");	
			pass_id_list.add("109736");	
			pass_id_list.add("109737");	
			pass_id_list.add("109738");	
			pass_id_list.add("109739");	
			pass_id_list.add("109740");
			pass_id_list.add("109741");	
			pass_id_list.add("109742");	
			pass_id_list.add("109776");	
			pass_id_list.add("109778");	
			pass_id_list.add("109779");	
			pass_id_list.add("109780");	
			pass_id_list.add("109781");
			pass_id_list.add("109777");	
			pass_id_list.add("109783");	
			pass_id_list.add("109784");	
			pass_id_list.add("109785");	
			pass_id_list.add("109782");	
			pass_id_list.add("109787");	
			pass_id_list.add("109788");
			pass_id_list.add("109789");	
			pass_id_list.add("109786");	
			pass_id_list.add("109727");	
			pass_id_list.add("109728");	
			pass_id_list.add("109730");	
			pass_id_list.add("109731");	
			pass_id_list.add("109732");	
			pass_id_list.add("109733");
			pass_id_list.add("109729");	
			pass_id_list.add("109770");	
			pass_id_list.add("109771");	
			pass_id_list.add("109772");	
			pass_id_list.add("109769");	
			pass_id_list.add("109828");
			pass_id_list.add("109827");	
			pass_id_list.add("109830");	
			pass_id_list.add("109829");	
			pass_id_list.add("109832");	
			pass_id_list.add("109831");	
			pass_id_list.add("109805");	
			pass_id_list.add("109804");	
			pass_id_list.add("109804");	
			pass_id_list.add("109807");	
			pass_id_list.add("109808");	
			pass_id_list.add("109809");	
			pass_id_list.add("109810");	
			pass_id_list.add("109806");	
			pass_id_list.add("109854");	
			pass_id_list.add("109855");	
			pass_id_list.add("109856");	
			pass_id_list.add("109857");	
			pass_id_list.add("109858");	
			pass_id_list.add("109859");	
			pass_id_list.add("109853");	
			pass_id_list.add("109875");	
			pass_id_list.add("109876");	
			pass_id_list.add("109877");	
			pass_id_list.add("109878");	
			pass_id_list.add("109879");	
			pass_id_list.add("109874");	
			pass_id_list.add("109793");	
			pass_id_list.add("109795");	
			pass_id_list.add("109796");	
			pass_id_list.add("109794");
			pass_id_list.add("109816");				
			pass_id_list.add("109818");	
			pass_id_list.add("109817");	
			pass_id_list.add("109819");	
			pass_id_list.add("109820");
			pass_id_list.add("109868");				
			pass_id_list.add("109870");	
			pass_id_list.add("109871");	
			pass_id_list.add("109872");	
			pass_id_list.add("109873");
			pass_id_list.add("109869");				
		
				for(int i=0;i<=pass_id_list.size();i++) {
					System.out.println("物资学院03店开始第"+i+"次抓测"+"--货道ID="+pass_id_list.get(i));
						Request request = new Request.Builder().url("https://www.mjitech.com/web/pick_up_goods/70/"+pass_id_list.get(i)+"").get()
							.addHeader("Cookie", cookiesValues).addHeader("cache-control", "no-cache")
							.addHeader("Postman-Token", "ee590a55-6c93-413b-b60b-21b4a88f38fe").build();
						try {
							Response response = client.newCall(request).execute();
							System.out.println("抓取结果：" + response);					
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
					
					
						try {
							// 休眠30秒
							Thread.sleep(30000);
						} catch (InterruptedException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}	
						
						
						
						//判断每6个一出仓开门
						if(i%6==0) {
							//出仓，开门
							String url = "https://www.mjitech.com/web/open_goods_door?storeId=70" ;
							System.out.println("CookiesValues=" + cookiesValues);
							try {
								json = service.httpPostOpenGoodsDoorReturnJson(url, cookiesValues);
								System.out.println("出仓开门-"+json);
							} catch (ClientProtocolException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							} catch (IOException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							}
							
							try {
								// 开舱门休眠20秒
								Thread.sleep(45000);
							} catch (InterruptedException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							}	
						}									
				}

	}

	
	
	/**
	 * 批量测试-全门店抓取测试（每个品都抓测一遍）-清华大学门店
	 * 测试策略：每6个一出仓
	 */
//	@Test(dependsOnMethods="login")
	public void pickUpGoodsTest007() {				
			String JSESSIONID = (String) map.get("JSESSIONID");
			String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
					+ "JSESSIONID=" + JSESSIONID;
			System.out.println("CookiesValues=" + cookiesValues);
			OkHttpClient client = new OkHttpClient();
			ArrayList<String> pass_id_list = new ArrayList<String> ();
//			pass_id_list.add("102015");
//			pass_id_list.add("102016");
//			pass_id_list.add("102017");
//			pass_id_list.add("102018");
//			pass_id_list.add("102014");
//			pass_id_list.add("102035");
//			pass_id_list.add("102036");
//			pass_id_list.add("102037");
//			pass_id_list.add("102039");
//			pass_id_list.add("102040");
//			pass_id_list.add("102041");
//			pass_id_list.add("102042");
//			pass_id_list.add("102038");
//			pass_id_list.add("102067");
//			pass_id_list.add("102068");
//			pass_id_list.add("102069");
//			pass_id_list.add("102070");
//			pass_id_list.add("102071");
//			pass_id_list.add("102072");
//			pass_id_list.add("102066");
//			pass_id_list.add("101982");
//			pass_id_list.add("101984");
//			pass_id_list.add("101983");
//			pass_id_list.add("101986");
//			pass_id_list.add("101987");
//			pass_id_list.add("101985");
//			pass_id_list.add("101988");//空抓
//			pass_id_list.add("101990");
//			pass_id_list.add("101991");
//			pass_id_list.add("101992");
//			pass_id_list.add("101993");
//			pass_id_list.add("101994");
//			pass_id_list.add("101989");
//			pass_id_list.add("102006");
//			pass_id_list.add("102007");
//			pass_id_list.add("102009");
//			pass_id_list.add("102010");
//			pass_id_list.add("102011");
//			pass_id_list.add("102012");
//			pass_id_list.add("102013");
//			pass_id_list.add("102008");
//			pass_id_list.add("102043");
//			pass_id_list.add("102045");
		///////2019-07-10///////
//			pass_id_list.add("102046");			
//			pass_id_list.add("102047");
//			pass_id_list.add("102048");
//			pass_id_list.add("102049");
//			pass_id_list.add("102050");
//			pass_id_list.add("102051");
//			pass_id_list.add("102044");
//			pass_id_list.add("101925");
//			pass_id_list.add("101935");
//			pass_id_list.add("101934");
//			pass_id_list.add("101926");
//			pass_id_list.add("101927");
//			pass_id_list.add("101928");
//			pass_id_list.add("101929");
//			pass_id_list.add("101930");
//			pass_id_list.add("101931");
//			pass_id_list.add("101932");
//			pass_id_list.add("101933");
//			pass_id_list.add("101948");
//			pass_id_list.add("101950");
//			pass_id_list.add("101951");
//			pass_id_list.add("101952");
//			pass_id_list.add("101953");
//			pass_id_list.add("101949");
//			pass_id_list.add("101954");
//			pass_id_list.add("101937");
//			pass_id_list.add("101938");
//			pass_id_list.add("101939");
//			pass_id_list.add("101940");
//			pass_id_list.add("101941");
//			pass_id_list.add("101942");
//			pass_id_list.add("101936");
//			pass_id_list.add("101962");
//			pass_id_list.add("101963");
//			pass_id_list.add("101964");
//			pass_id_list.add("101965");
//			pass_id_list.add("101966");
//			pass_id_list.add("101961");
//			pass_id_list.add("101971");
//			pass_id_list.add("101972");
//			pass_id_list.add("101973");
//			pass_id_list.add("101974");
//			pass_id_list.add("101975");
//			pass_id_list.add("101914");
//			pass_id_list.add("101923");
//			pass_id_list.add("101924");
//			pass_id_list.add("101915");
//			pass_id_list.add("101916");
//			pass_id_list.add("101917");
//			pass_id_list.add("101918");
//			pass_id_list.add("101919");
//			pass_id_list.add("101920");
//			pass_id_list.add("101921");
//			pass_id_list.add("101922");
//			pass_id_list.add("101956");
//			pass_id_list.add("101957");
//			pass_id_list.add("101958");
//			pass_id_list.add("101959");
//			pass_id_list.add("101960");
//			pass_id_list.add("101955");
//			pass_id_list.add("101977");
//			pass_id_list.add("101978");
//			pass_id_list.add("101976");
//			pass_id_list.add("101980");
//	//		pass_id_list.add("101979");
//			pass_id_list.add("101981");
//			pass_id_list.add("101898");
//			pass_id_list.add("101899");
//			pass_id_list.add("101900");
//			pass_id_list.add("101901");
//			pass_id_list.add("101902");
//			pass_id_list.add("101903");
//			pass_id_list.add("101904");
//			pass_id_list.add("101905");
//			pass_id_list.add("101906");
//			pass_id_list.add("101907");
//			pass_id_list.add("101908");
//			pass_id_list.add("101909");
//			pass_id_list.add("101910");
//			pass_id_list.add("101911");
//			pass_id_list.add("101912");
//			pass_id_list.add("101913");
//			pass_id_list.add("101943");
//			pass_id_list.add("101944");
//			pass_id_list.add("101945");
//			pass_id_list.add("101947");
//			pass_id_list.add("101946");
//			pass_id_list.add("101968");
//			pass_id_list.add("101969");
//			pass_id_list.add("101970");
//			pass_id_list.add("101967");
//			pass_id_list.add("102000");
//			pass_id_list.add("102002");
//			pass_id_list.add("102003");
//			pass_id_list.add("102004");
//			pass_id_list.add("102005");
//			pass_id_list.add("102001");
//			pass_id_list.add("102023");
//			pass_id_list.add("102024");
//			pass_id_list.add("102026");
//			pass_id_list.add("102027");
//			pass_id_list.add("102028");
//			pass_id_list.add("102029");
//			pass_id_list.add("102025");
//			pass_id_list.add("102052");
//			pass_id_list.add("102054");
//			pass_id_list.add("102055");
//			pass_id_list.add("102056");
//			pass_id_list.add("102057");
//			pass_id_list.add("102058");
//			pass_id_list.add("102059");
//			pass_id_list.add("102053");
//			pass_id_list.add("102073");
//			pass_id_list.add("102075");
//			pass_id_list.add("102076");
//			pass_id_list.add("102077");
//			pass_id_list.add("102078");
//			pass_id_list.add("102074");
//			pass_id_list.add("101995");
//			pass_id_list.add("101996");
//			pass_id_list.add("101998");
//			pass_id_list.add("101999");
//			pass_id_list.add("101997");
//			pass_id_list.add("102019");
//			pass_id_list.add("102021");
//			pass_id_list.add("102022");
//			pass_id_list.add("102020");
//			pass_id_list.add("102030");
//			pass_id_list.add("102031");
//			pass_id_list.add("102032");
//			pass_id_list.add("102034");
//			pass_id_list.add("102033");
//			pass_id_list.add("102060");
//			pass_id_list.add("102062");
//			pass_id_list.add("102063");
//			pass_id_list.add("102064");
//			pass_id_list.add("102065");
//			pass_id_list.add("102061");
			
			//世通大厦
//			pass_id_list.add("80688");
//			pass_id_list.add("80591");
		
				for(int i=1;i<=pass_id_list.size();i++) {
					System.out.println("清华门店开始第"+i+"次抓测"+"--货道ID="+pass_id_list.get(i));
						Request request = new Request.Builder().url("https://test.mjitech.com/web/pick_up_goods/61/"+pass_id_list.get(i)+"").get()
							.addHeader("Cookie", cookiesValues).addHeader("cache-control", "no-cache")
							.addHeader("Postman-Token", "ee590a55-6c93-413b-b60b-21b4a88f38fe").build();
						try {
							Response response = client.newCall(request).execute();
							System.out.println("抓取结果：" + response);					
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
					
					
						try {
							// 休眠30秒
							Thread.sleep(30000);
						} catch (InterruptedException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}	
						
						
						
						//判断每6个一出仓开门
						if(i%6==0) {
							//出仓，开门
							String url = "https://www.mjitech.com/web/open_goods_door?storeId=61" ;
							System.out.println("CookiesValues=" + cookiesValues);
							try {
								json = service.httpPostOpenGoodsDoorReturnJson(url, cookiesValues);
								System.out.println("出仓开门-"+json);
							} catch (ClientProtocolException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							} catch (IOException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							}
							
							try {
								// 开舱门休眠20秒
								Thread.sleep(20000);
							} catch (InterruptedException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							}	
						}
						
						
				
				}

	}
	
	
	/**
	 * 批量测试-全门店抓取测试（每个品都抓测一遍）-青岛机场Ⅰ 门店63
	 * 测试策略：每6个一出仓
	 */
//	@Test(dependsOnMethods="login")
	public void pickUpGoodsTest008() {				
			String JSESSIONID = (String) map.get("JSESSIONID");
			String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
					+ "JSESSIONID=" + JSESSIONID;
			System.out.println("CookiesValues=" + cookiesValues);
			OkHttpClient client = new OkHttpClient();
			ArrayList<String> pass_id_list = new ArrayList<String> ();
//			pass_id_list.add("106509");
//			pass_id_list.add("106510");
//			pass_id_list.add("106511");
//			pass_id_list.add("106508");
//			pass_id_list.add("106513");
//			pass_id_list.add("106512");
//			pass_id_list.add("106527");
//			pass_id_list.add("106526");
//			pass_id_list.add("106528");
//			pass_id_list.add("106529");
//			pass_id_list.add("106530");
//			pass_id_list.add("106531");
//			pass_id_list.add("106532");
//			pass_id_list.add("106533");
//			pass_id_list.add("106534");
//			pass_id_list.add("106535");
//			pass_id_list.add("106543");
//			pass_id_list.add("106544");
//			pass_id_list.add("106545");
//			pass_id_list.add("106546");
//			pass_id_list.add("106547");
//			pass_id_list.add("106542");
//			pass_id_list.add("106552");
//			pass_id_list.add("106553");
//			pass_id_list.add("106554");
//			pass_id_list.add("106555");
//			pass_id_list.add("106556");
//			pass_id_list.add("106558");
//			pass_id_list.add("106559");
//			pass_id_list.add("106560");
//			pass_id_list.add("106561");
//			pass_id_list.add("106562");
//			pass_id_list.add("106557");
//			pass_id_list.add("106486");
//			pass_id_list.add("106485");
//			pass_id_list.add("106488");
//			pass_id_list.add("106489");
//			pass_id_list.add("106490");
//			pass_id_list.add("106487");
//			pass_id_list.add("106491");
//			pass_id_list.add("106492");
//			pass_id_list.add("106494");
//			pass_id_list.add("106495");
			/***********2区********************/
//			pass_id_list.add("106496");			
//			pass_id_list.add("106493");
//			pass_id_list.add("106498");
//			pass_id_list.add("106499");
//			pass_id_list.add("106500");
//			pass_id_list.add("106497");
//			pass_id_list.add("106502");
//			pass_id_list.add("106503");
//			pass_id_list.add("106501");
//			pass_id_list.add("106434");
//			pass_id_list.add("106439");
//			pass_id_list.add("106435");
//			pass_id_list.add("106436");
//			pass_id_list.add("106437");
//			pass_id_list.add("106438");
//			pass_id_list.add("106440");
//			pass_id_list.add("106441");
//			pass_id_list.add("106442");
//			pass_id_list.add("106443");
//			pass_id_list.add("106450");
//			pass_id_list.add("106449");
//			pass_id_list.add("106452");
//			pass_id_list.add("106453");
//			pass_id_list.add("106454");
//			pass_id_list.add("106455");
//			pass_id_list.add("106456");
//			pass_id_list.add("106451");
//			pass_id_list.add("106444");
//			pass_id_list.add("106445");
//			pass_id_list.add("106446");
//			pass_id_list.add("106448");
//			pass_id_list.add("106447");
//			pass_id_list.add("106579");
//			pass_id_list.add("106463");
//			pass_id_list.add("106465");
//			pass_id_list.add("106466");
//			pass_id_list.add("106467");
//			pass_id_list.add("106468");
//			pass_id_list.add("106464");
//			pass_id_list.add("106470");
//			pass_id_list.add("106469");
//			pass_id_list.add("106472");
//			pass_id_list.add("106471");
//			pass_id_list.add("106417");
//			pass_id_list.add("106427");
//			pass_id_list.add("106423");
//			pass_id_list.add("106418");
//			pass_id_list.add("106419");
//			pass_id_list.add("106420");
//			pass_id_list.add("106421");
//			pass_id_list.add("106422");
//			pass_id_list.add("106424");
//			pass_id_list.add("106425");
//			pass_id_list.add("106426");
//			pass_id_list.add("106458");
//			pass_id_list.add("106460");
//			pass_id_list.add("106459");
//			pass_id_list.add("106461");
//			pass_id_list.add("107461");
//			pass_id_list.add("107462");
//			pass_id_list.add("106478");
//			pass_id_list.add("106480");
//			pass_id_list.add("106481");
//			pass_id_list.add("106479");
//		    pass_id_list.add("106482");
//			pass_id_list.add("106484");
//			pass_id_list.add("106483");
//			pass_id_list.add("106403");
//			pass_id_list.add("106404");
//			pass_id_list.add("106405");
//			pass_id_list.add("106407");
//			pass_id_list.add("106408");
//			pass_id_list.add("106409");
//			pass_id_list.add("106406");
//			pass_id_list.add("106410");
//			pass_id_list.add("106411");
//			pass_id_list.add("106412");
//			pass_id_list.add("106413");
//			pass_id_list.add("106414");
//			pass_id_list.add("106415");
//			pass_id_list.add("106416");
//			pass_id_list.add("106429");
//			pass_id_list.add("106430");
//			pass_id_list.add("106431");
//			pass_id_list.add("106432");
//			pass_id_list.add("106433");
//			pass_id_list.add("106428");
//			pass_id_list.add("106474");
//			pass_id_list.add("106475");
//			pass_id_list.add("106476");
//			pass_id_list.add("106473");
			pass_id_list.add("106477");
			pass_id_list.add("107103");
			pass_id_list.add("107107");
			pass_id_list.add("107105");
			pass_id_list.add("107106");
			pass_id_list.add("107104");
			pass_id_list.add("107109");
			pass_id_list.add("107282");
			pass_id_list.add("106536");
		    pass_id_list.add("106538");
			pass_id_list.add("106537");
			pass_id_list.add("106539");
			pass_id_list.add("106541");
			pass_id_list.add("106540");
			pass_id_list.add("106564");
			pass_id_list.add("106565");
			pass_id_list.add("106566");
			pass_id_list.add("106567");
			pass_id_list.add("106568");
			pass_id_list.add("106563");
			pass_id_list.add("106574");
			pass_id_list.add("106573");
			pass_id_list.add("106575");
			pass_id_list.add("106581");
			pass_id_list.add("106582");
			pass_id_list.add("106504");
			pass_id_list.add("106507");
			pass_id_list.add("106506");
			pass_id_list.add("107640");
			pass_id_list.add("106515");
			pass_id_list.add("106516");
			pass_id_list.add("106517");
			pass_id_list.add("106514");
			pass_id_list.add("106548");
			pass_id_list.add("106549");
			pass_id_list.add("106551");
			pass_id_list.add("106550");
			pass_id_list.add("106569");
			pass_id_list.add("106570");
			pass_id_list.add("106572");	
			pass_id_list.add("106571");
			pass_id_list.add("106576");
			pass_id_list.add("106580");
			pass_id_list.add("106577");
			pass_id_list.add("106578");
			
			

				for(int i=1;i<=pass_id_list.size();i++) {
					System.out.println("63-青岛机场Ⅰ开始第"+i+"次抓测"+"--货道ID="+pass_id_list.get(i));
						Request request = new Request.Builder().url("https://www.mjitech.com/web/pick_up_goods/63/"+pass_id_list.get(i)+"").get()
							.addHeader("Cookie", cookiesValues).addHeader("cache-control", "no-cache")
							.addHeader("Postman-Token", "ee590a55-6c93-413b-b60b-21b4a88f38fe").build();
						try {
							Response response = client.newCall(request).execute();
							System.out.println("抓取结果：" + response);					
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
					
					
						try {
							// 休眠30秒
							Thread.sleep(30000);
						} catch (InterruptedException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}	
						
						
						
						//判断每6个一出仓开门
						if(i%6==0) {
							//出仓，开门
							String url = "https://www.mjitech.com/web/open_goods_door?storeId=63" ;
							System.out.println("CookiesValues=" + cookiesValues);
							try {
								json = service.httpPostOpenGoodsDoorReturnJson(url, cookiesValues);
								System.out.println("出仓开门-"+json);
							} catch (ClientProtocolException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							} catch (IOException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							}
							
							try {
								// 开舱门休眠20秒
								Thread.sleep(45000);
							} catch (InterruptedException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							}	
						}									
				}

	}
	
	
	
	/**
	 * 批量测试-全门店抓取测试（每个品都抓测一遍）-青岛机场Ⅰ I门店66
	 * 测试策略：每6个一出仓
	 */
//	@Test(dependsOnMethods="login")
	public void pickUpGoodsTest009() {				
			String JSESSIONID = (String) map.get("JSESSIONID");
			String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
					+ "JSESSIONID=" + JSESSIONID;
			System.out.println("CookiesValues=" + cookiesValues);
			OkHttpClient client = new OkHttpClient();
			ArrayList<String> pass_id_list = new ArrayList<String> ();
//			pass_id_list.add("000000");
//			pass_id_list.add("106859");
//			pass_id_list.add("106860");
//			pass_id_list.add("106861");
//			pass_id_list.add("106858");
//		//	pass_id_list.add("106863");
//		//	pass_id_list.add("106862");
//			pass_id_list.add("106877");
//			pass_id_list.add("106876");
//			pass_id_list.add("106878");
//			pass_id_list.add("106879");
//			pass_id_list.add("106880");
//			pass_id_list.add("106881");
//			pass_id_list.add("106882");
//			pass_id_list.add("106883");
//			pass_id_list.add("106884");
//			pass_id_list.add("106885");
//			pass_id_list.add("106893");
//			pass_id_list.add("106894");
//			pass_id_list.add("106895");
//			pass_id_list.add("106896");
//			pass_id_list.add("106897");
//	//		pass_id_list.add("106892");
//	//		pass_id_list.add("106902");
//			pass_id_list.add("106903");
//		//	pass_id_list.add("106904");
//		//	pass_id_list.add("106905");
//			pass_id_list.add("106906");
//		//	pass_id_list.add("106908");
//		//	pass_id_list.add("106909");
//			pass_id_list.add("106910");
//			pass_id_list.add("106911");
//			pass_id_list.add("106912");
//			pass_id_list.add("106907");
//			pass_id_list.add("106836");
//			pass_id_list.add("106835");
//			pass_id_list.add("106838");
//			pass_id_list.add("106839");
//			pass_id_list.add("106840");
//			pass_id_list.add("106837");
//			pass_id_list.add("106841");
//			pass_id_list.add("106842");
//			pass_id_list.add("106844");
//			pass_id_list.add("106845");
//			pass_id_list.add("106846");
//			pass_id_list.add("106843");
//			pass_id_list.add("106848");
//			pass_id_list.add("106849");
//			pass_id_list.add("106850");
//			pass_id_list.add("106847");
//			pass_id_list.add("106852");
//		//	pass_id_list.add("106853");
//			pass_id_list.add("106851");
//			pass_id_list.add("106784");
//			pass_id_list.add("106789");
//			pass_id_list.add("106785");
//			pass_id_list.add("106786");
//			pass_id_list.add("106787");
//			pass_id_list.add("106788");
//			pass_id_list.add("106790");
//			pass_id_list.add("106791");
//			pass_id_list.add("106792");
//			pass_id_list.add("106793");
//			pass_id_list.add("106800");
//			pass_id_list.add("106799");
//			pass_id_list.add("106802");
//			pass_id_list.add("106803");
//			pass_id_list.add("106804");
//			pass_id_list.add("106805");
//	//		pass_id_list.add("106806");
//			pass_id_list.add("106801");
//			pass_id_list.add("106794");
//			pass_id_list.add("106795");
//			pass_id_list.add("106796");
//			pass_id_list.add("106798");
	//		pass_id_list.add("106797");
	//		pass_id_list.add("106929");
	//		pass_id_list.add("106813");
//			pass_id_list.add("106815");
//			pass_id_list.add("106816");
//			pass_id_list.add("106817");
	//		pass_id_list.add("106818");
//			pass_id_list.add("106814");
//			pass_id_list.add("106820");
//			pass_id_list.add("106819");
//			pass_id_list.add("106822");
//			pass_id_list.add("106821");
//			pass_id_list.add("106767");
//			pass_id_list.add("106777");
//			pass_id_list.add("106773");
//			pass_id_list.add("106768");
//			pass_id_list.add("106769");
//			pass_id_list.add("106770");
//			pass_id_list.add("106771");
//			pass_id_list.add("106772");
//			pass_id_list.add("106774");
//			pass_id_list.add("106775");
//			pass_id_list.add("106776");
//			pass_id_list.add("106807");
//			pass_id_list.add("106808");
//			pass_id_list.add("106810");
//			pass_id_list.add("106809");
//			pass_id_list.add("106811");
//			pass_id_list.add("106812");
//			pass_id_list.add("106828");
//			pass_id_list.add("106830");
//			pass_id_list.add("106831");
//			pass_id_list.add("106829");
//			pass_id_list.add("106832");
//			pass_id_list.add("106834");
//			pass_id_list.add("106833");
//			pass_id_list.add("106753");
//			pass_id_list.add("106754");
//			pass_id_list.add("106755");
//			pass_id_list.add("106757");
//			pass_id_list.add("106758");
//			pass_id_list.add("106759");
//			pass_id_list.add("106756");
//			pass_id_list.add("106760");
//			pass_id_list.add("106761");
//			pass_id_list.add("106762");
//			pass_id_list.add("106763");
//			pass_id_list.add("106764");
//			pass_id_list.add("106765");
//	//		pass_id_list.add("106766");
//			pass_id_list.add("106779");
//			pass_id_list.add("106780");
//			pass_id_list.add("106781");
//			pass_id_list.add("106782");
//			pass_id_list.add("106783");
//			pass_id_list.add("106778");
//			pass_id_list.add("106824");
//			pass_id_list.add("106825");
//			pass_id_list.add("106826");
//			pass_id_list.add("106823");
//			pass_id_list.add("106827");
//			pass_id_list.add("106868");
//			pass_id_list.add("106870");
//			pass_id_list.add("106871");
//			pass_id_list.add("106872");
//			pass_id_list.add("106873");
//			pass_id_list.add("106874");
//			pass_id_list.add("106875");
//			pass_id_list.add("106869");
//	//		pass_id_list.add("106886");
//			pass_id_list.add("106888");
//	//		pass_id_list.add("106887");
//			pass_id_list.add("106889");
//			pass_id_list.add("106891");
//			pass_id_list.add("106890");
//			pass_id_list.add("106914");
//			pass_id_list.add("106915");
//			pass_id_list.add("106916");
//			pass_id_list.add("106917");
//			pass_id_list.add("106918");
//			pass_id_list.add("106913");
//			pass_id_list.add("106924");
//			pass_id_list.add("106926");
//			pass_id_list.add("106925");
//	//		pass_id_list.add("106931");
//			pass_id_list.add("106930");
//	//		pass_id_list.add("106855");
//			pass_id_list.add("106854");
//			pass_id_list.add("106857");
//			pass_id_list.add("106856");
//			pass_id_list.add("106865");
//			pass_id_list.add("106866");
//			pass_id_list.add("106867");
//			pass_id_list.add("106864");
//	//		pass_id_list.add("106898");
//			pass_id_list.add("106899");
//			pass_id_list.add("106901");
//	//		pass_id_list.add("106900");
//			pass_id_list.add("106919");
//			pass_id_list.add("106920");
//			pass_id_list.add("106922");
//			pass_id_list.add("106921");
//			pass_id_list.add("106932");
//	//		pass_id_list.add("106927");
//			pass_id_list.add("106923");
//	//		pass_id_list.add("106928");
			
				for(int i=1;i<=pass_id_list.size();i++) {
					System.out.println("66-青岛机场ⅠI开始第"+i+"次抓测"+"--货道ID="+pass_id_list.get(i));
						Request request = new Request.Builder().url("https://www.mjitech.com/web/pick_up_goods/66/"+pass_id_list.get(i)+"").get()
							.addHeader("Cookie", cookiesValues).addHeader("cache-control", "no-cache")
							.addHeader("Postman-Token", "ee590a55-6c93-413b-b60b-21b4a88f38fe").build();
						try {
							Response response = client.newCall(request).execute();
							System.out.println("抓取结果：" + response);					
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
					
					
						try {
							// 休眠30秒
							Thread.sleep(30000);
						} catch (InterruptedException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}	
						
						
						
						//判断每6个一出仓开门
						if(i%6==0) {
							//出仓，开门
							String url = "https://www.mjitech.com/web/open_goods_door?storeId=66" ;
							System.out.println("CookiesValues=" + cookiesValues);
							try {
								json = service.httpPostOpenGoodsDoorReturnJson(url, cookiesValues);
								System.out.println("出仓开门-"+json);
							} catch (ClientProtocolException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							} catch (IOException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							}
							
							try {
								// 开舱门休眠20秒
								Thread.sleep(45000);
							} catch (InterruptedException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							}	
						}									
				}

	}
	
	
	/**
	 * 批量测试-全门店抓取测试（每个品都抓测一遍）-青岛机场ⅠII门店67
	 * 测试策略：每6个一出仓
	 */
//	@Test(dependsOnMethods="login")
	public void pickUpGoodsTest010() {				
			String JSESSIONID = (String) map.get("JSESSIONID");
			String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
					+ "JSESSIONID=" + JSESSIONID;
			System.out.println("CookiesValues=" + cookiesValues);
			OkHttpClient client = new OkHttpClient();
			ArrayList<String> pass_id_list = new ArrayList<String> ();
//			pass_id_list.add("000000");
//			pass_id_list.add("105969");
//			pass_id_list.add("105970");
//			pass_id_list.add("105971");
//			pass_id_list.add("105968");
//		//	pass_id_list.add("105973");
			pass_id_list.add("105972");
//			pass_id_list.add("105982");
//			pass_id_list.add("105983");
//			pass_id_list.add("105984");
//			pass_id_list.add("105985");//抓到这翻版不回去。
//			pass_id_list.add("105986");
//			pass_id_list.add("105987");
//			pass_id_list.add("105988");
//			pass_id_list.add("105989");
//			pass_id_list.add("105981");
//			pass_id_list.add("106004");//
//			pass_id_list.add("106003");
//			pass_id_list.add("106006");
//			pass_id_list.add("106007");
////			pass_id_list.add("106008");
//			pass_id_list.add("106009");
////			pass_id_list.add("106005");
////			pass_id_list.add("106011");
////			pass_id_list.add("106012");
////			pass_id_list.add("106013");
//			pass_id_list.add("106010");
////			pass_id_list.add("106014");
////			pass_id_list.add("106021");
////			pass_id_list.add("106023");
////	//		pass_id_list.add("106024");
////			pass_id_list.add("106025");
////	//		pass_id_list.add("106022");
////			pass_id_list.add("106027");
////	//		pass_id_list.add("106028");
//			pass_id_list.add("106029");
////			pass_id_list.add("106030");
////	//		pass_id_list.add("106026");
////			pass_id_list.add("105944");
//			pass_id_list.add("105943");
////			pass_id_list.add("105946");
//			pass_id_list.add("105947");
//			pass_id_list.add("105948");
//			pass_id_list.add("105945");
////			pass_id_list.add("105950");
////			pass_id_list.add("105951");
////			pass_id_list.add("105952");
//			pass_id_list.add("105949");
////			pass_id_list.add("105954");
//			pass_id_list.add("105953");
////			pass_id_list.add("105898");
//			pass_id_list.add("105907");
////			pass_id_list.add("105899");
////			pass_id_list.add("105900");
////			pass_id_list.add("105901");
////			pass_id_list.add("105902");
////			pass_id_list.add("105903");
//			pass_id_list.add("105904");
//			pass_id_list.add("105905");
//			pass_id_list.add("105906");
////			pass_id_list.add("105915");
////			pass_id_list.add("105914");
////			pass_id_list.add("105917");
////			pass_id_list.add("105918");
////			pass_id_list.add("105919");
////			pass_id_list.add("105920");
////		//	pass_id_list.add("105921");
////			pass_id_list.add("105916");
////			pass_id_list.add("105908");
////			pass_id_list.add("105909");
////			pass_id_list.add("105910");
////			pass_id_list.add("105911");
////			pass_id_list.add("105913");
////		//	pass_id_list.add("105912");
////			pass_id_list.add("105922");
////			pass_id_list.add("105923");
////			pass_id_list.add("105925");
////			pass_id_list.add("105926");
////			pass_id_list.add("105924");
////			pass_id_list.add("105938");
////			pass_id_list.add("105939");
////			pass_id_list.add("105941");
////			pass_id_list.add("105942");
////			pass_id_list.add("105940");
////			pass_id_list.add("105882");
////	//		pass_id_list.add("105891");
////	//		pass_id_list.add("105881");
////			pass_id_list.add("105883");
////			pass_id_list.add("105884");
////			pass_id_list.add("105885");
////			pass_id_list.add("105886");
////			pass_id_list.add("105887");
////			pass_id_list.add("105888");
////			pass_id_list.add("105889");
////			pass_id_list.add("105890");
////			pass_id_list.add("105927");
////	//		pass_id_list.add("105929");
////	//		pass_id_list.add("105930");
				pass_id_list.add("105931");
////			pass_id_list.add("105932");
////			pass_id_list.add("105933");
////			pass_id_list.add("105928");		
////			pass_id_list.add("105866");
////			pass_id_list.add("105867");
////			pass_id_list.add("105868");
////			pass_id_list.add("105870");
////			pass_id_list.add("105871");
////			pass_id_list.add("105872");
////			pass_id_list.add("105869");
////			pass_id_list.add("105873");
////			pass_id_list.add("105874");
////			pass_id_list.add("105875");
////			pass_id_list.add("105876");
////			pass_id_list.add("105877");
////			pass_id_list.add("105878");
////			pass_id_list.add("105879");
////			pass_id_list.add("105880");
				pass_id_list.add("105893");
////			pass_id_list.add("105894");
////			pass_id_list.add("105895");
////			pass_id_list.add("105896");
////			pass_id_list.add("105897");
////			pass_id_list.add("105892");
////			pass_id_list.add("105935");
////			pass_id_list.add("105936");
////			pass_id_list.add("105937");
////			pass_id_list.add("105934");
////			pass_id_list.add("105959");
////			pass_id_list.add("105960");
////	//		pass_id_list.add("105962");
////			pass_id_list.add("105961");
////			pass_id_list.add("105963");
////	//		pass_id_list.add("105975");
////			pass_id_list.add("105976");
////			pass_id_list.add("105977");
////			pass_id_list.add("105978");
////			pass_id_list.add("105979");//不出仓105999
////			pass_id_list.add("105980");
////			pass_id_list.add("105974");
////			pass_id_list.add("105997");
////			pass_id_list.add("105998");
////			pass_id_list.add("105999");
////			pass_id_list.add("106000");
//////			pass_id_list.add("106001");
////			pass_id_list.add("106002");
////			pass_id_list.add("105996");
////	//		pass_id_list.add("106035");
////			pass_id_list.add("106037");
////			pass_id_list.add("106038");
////			pass_id_list.add("106039");
////			pass_id_list.add("106036");
////			pass_id_list.add("106228");
////			pass_id_list.add("106227");
////			pass_id_list.add("105956");
////			pass_id_list.add("105955");
////			pass_id_list.add("105957");
////			pass_id_list.add("105958");
////			pass_id_list.add("105964");
//			pass_id_list.add("105966");
////	//		pass_id_list.add("105967");
//			pass_id_list.add("105965");
////			pass_id_list.add("105991");
////			pass_id_list.add("105992");
////	//		pass_id_list.add("105990");
////			pass_id_list.add("105994");
////			pass_id_list.add("105995");
////	//		pass_id_list.add("105993");
////			pass_id_list.add("106032");
////			pass_id_list.add("106033");
////			pass_id_list.add("106034");
//////			pass_id_list.add("106031");
////			pass_id_list.add("106015");
////			pass_id_list.add("106017");
//			pass_id_list.add("106018");
////			pass_id_list.add("106019");
////			pass_id_list.add("106020");
//			pass_id_list.add("106016");
			
				for(int i=1;i<=pass_id_list.size();i++) {
					System.out.println("67-青岛机场ⅠII开始第"+i+"次抓测"+"--货道ID="+pass_id_list.get(i));
						Request request = new Request.Builder().url("https://www.mjitech.com/web/pick_up_goods/67/"+pass_id_list.get(i)+"").get()
							.addHeader("Cookie", cookiesValues).addHeader("cache-control", "no-cache")
							.addHeader("Postman-Token", "ee590a55-6c93-413b-b60b-21b4a88f38fe").build();
						try {
							Response response = client.newCall(request).execute();
							System.out.println("抓取结果：" + response);					
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
					
					
						try {
							// 休眠30秒
							Thread.sleep(30000);
						} catch (InterruptedException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}	
						
						
						
						//判断每6个一出仓开门
						if(i%6==0) {
							//出仓，开门
							String url = "https://www.mjitech.com/web/open_goods_door?storeId=67" ;
							System.out.println("CookiesValues=" + cookiesValues);
							try {
								json = service.httpPostOpenGoodsDoorReturnJson(url, cookiesValues);
								System.out.println("出仓开门-"+json);
							} catch (ClientProtocolException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							} catch (IOException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							}
							
							try {
								// 开舱门休眠20秒
								Thread.sleep(45000);
							} catch (InterruptedException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							}	
						}									
				}

	}
	
	
	/**
	 * 批量测试-全门店抓取测试（每个品都抓测一遍）-上海音乐学院门店39
	 * 测试策略：每6个一出仓
	 */
//	@Test(dependsOnMethods="login")
	public void pickUpGoodsTest011() {				
			String JSESSIONID = (String) map.get("JSESSIONID");
			String cookiesValues = "mjitech_username='gangwang@mjitech.com'" + ";ga=GA1.2.1640278628.1537349020;"
					+ "JSESSIONID=" + JSESSIONID;
			System.out.println("CookiesValues=" + cookiesValues);
			OkHttpClient client = new OkHttpClient();
			ArrayList<String> pass_id_list = new ArrayList<String> ();
			pass_id_list.add("104192");
			pass_id_list.add("104225");
			pass_id_list.add("104142");
			pass_id_list.add("104250");
			pass_id_list.add("104208");
			pass_id_list.add("104210");
			pass_id_list.add("104209");
			pass_id_list.add("104118");
			pass_id_list.add("104177");
			pass_id_list.add("104111");
			pass_id_list.add("104132");
			pass_id_list.add("104202");
			pass_id_list.add("104204");
			pass_id_list.add("104149");
			pass_id_list.add("104171");
			pass_id_list.add("104160");
			pass_id_list.add("104178");
			pass_id_list.add("104222");
			pass_id_list.add("104134");
			pass_id_list.add("104174");
			pass_id_list.add("104172");
			pass_id_list.add("104146");
			pass_id_list.add("104212");
			pass_id_list.add("104154");
			pass_id_list.add("104103");
			pass_id_list.add("104158");
			pass_id_list.add("104219");
			pass_id_list.add("104144");
			pass_id_list.add("104137");
			pass_id_list.add("104200");
			pass_id_list.add("104164");
			pass_id_list.add("104221");
			pass_id_list.add("104182");
			pass_id_list.add("104180");
			pass_id_list.add("104227");
			pass_id_list.add("104162");
			pass_id_list.add("104179");
			pass_id_list.add("104183");
			pass_id_list.add("104203");
			pass_id_list.add("104150");
			pass_id_list.add("104189");
			pass_id_list.add("95080");
			pass_id_list.add("95050");
			pass_id_list.add("95140");
			pass_id_list.add("95090");
			pass_id_list.add("95051");
			pass_id_list.add("95137");
			pass_id_list.add("95120");
			pass_id_list.add("104124");
			pass_id_list.add("104114");
			pass_id_list.add("104115");
			pass_id_list.add("104199");
			pass_id_list.add("104116");
			pass_id_list.add("104148");
			pass_id_list.add("104248");
			pass_id_list.add("104403");
			pass_id_list.add("104404");
			pass_id_list.add("104157");
			pass_id_list.add("104125");
			pass_id_list.add("104185");
			pass_id_list.add("104184");
			pass_id_list.add("104187");
			pass_id_list.add("104108");
			pass_id_list.add("104163");
			pass_id_list.add("104110");
			pass_id_list.add("104167");
			pass_id_list.add("104121");
			pass_id_list.add("104226");
			pass_id_list.add("104207");
			pass_id_list.add("104109");
			pass_id_list.add("104138");
			pass_id_list.add("104140");
			pass_id_list.add("104211");
			pass_id_list.add("104101");
			pass_id_list.add("104105");
			pass_id_list.add("104156");
			pass_id_list.add("104120");
			pass_id_list.add("104141");
			pass_id_list.add("104106");
			pass_id_list.add("104113");
			pass_id_list.add("104159");
			pass_id_list.add("104198");
			pass_id_list.add("104190");
			pass_id_list.add("104224");
			pass_id_list.add("104097");
			pass_id_list.add("104169");
			pass_id_list.add("104215");
			pass_id_list.add("104229");
			pass_id_list.add("104130");
			pass_id_list.add("104216");
			pass_id_list.add("104230");
			pass_id_list.add("104206");
			pass_id_list.add("104175");
			pass_id_list.add("104170");
			pass_id_list.add("104139");
			pass_id_list.add("104186");
			pass_id_list.add("104119");
			pass_id_list.add("104196");
			pass_id_list.add("104143");
			pass_id_list.add("104127");
			pass_id_list.add("104214");
			pass_id_list.add("104197");
			pass_id_list.add("104165");
			pass_id_list.add("104098");
			pass_id_list.add("104133");
			pass_id_list.add("104218");
			pass_id_list.add("104176");
			pass_id_list.add("104112");
			pass_id_list.add("104193");
			pass_id_list.add("104126");
			pass_id_list.add("104107");
			pass_id_list.add("104155");
			pass_id_list.add("104188");
			pass_id_list.add("104213");
			pass_id_list.add("104161");
			pass_id_list.add("104194");
			pass_id_list.add("104122");
			pass_id_list.add("104191");
			pass_id_list.add("104131");
			pass_id_list.add("104195");
			pass_id_list.add("104173");
			pass_id_list.add("104151");
			pass_id_list.add("104104");
			pass_id_list.add("104152");
			pass_id_list.add("104201");
			pass_id_list.add("104117");
			pass_id_list.add("104135");
			pass_id_list.add("104223");
			pass_id_list.add("104145");
			pass_id_list.add("104168");
			pass_id_list.add("104099");
			pass_id_list.add("104181");
			pass_id_list.add("104147");
			pass_id_list.add("104136");
			pass_id_list.add("104128");
			pass_id_list.add("104123");
			pass_id_list.add("95028");
			pass_id_list.add("95122");
			pass_id_list.add("95128");
			pass_id_list.add("95044");
			pass_id_list.add("104129");
			pass_id_list.add("104166");
			pass_id_list.add("104153");
			pass_id_list.add("104220");
			pass_id_list.add("104217");
			pass_id_list.add("104249");
			pass_id_list.add("104102");
			pass_id_list.add("104228");
			pass_id_list.add("104205");
			pass_id_list.add("104247");
			pass_id_list.add("104402");
			pass_id_list.add("104401");
	
				for(int i=1;i<=pass_id_list.size();i++) {
					System.out.println("39-上海音乐学院开始第"+i+"次抓测"+"--货道ID="+pass_id_list.get(i));
						Request request = new Request.Builder().url("https://www.mjitech.com/web/pick_up_goods/39/"+pass_id_list.get(i)+"").get()
							.addHeader("Cookie", cookiesValues).addHeader("cache-control", "no-cache")
							.addHeader("Postman-Token", "ee590a55-6c93-413b-b60b-21b4a88f38fe").build();
						try {
							Response response = client.newCall(request).execute();
							System.out.println("抓取结果：" + response);					
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
					
					
						try {
							// 休眠30秒
							Thread.sleep(30000);
						} catch (InterruptedException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}	
						
						
						
						//判断每6个一出仓开门
						if(i%6==0) {
							//出仓，开门
							String url = "https://www.mjitech.com/web/open_goods_door?storeId=39" ;
							System.out.println("CookiesValues=" + cookiesValues);
							try {
								json = service.httpPostOpenGoodsDoorReturnJson(url, cookiesValues);
								System.out.println("出仓开门-"+json);
							} catch (ClientProtocolException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							} catch (IOException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							}
							
							try {
								// 开舱门休眠20秒
								Thread.sleep(45000);
							} catch (InterruptedException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							}	
						}									
				}

	}

	public static void main(String[] args) {
//		PickUpGoodsTest t =new PickUpGoodsTest();
//		t.getSkuList(50);
	}

}
